%define major	 41
%define libname		%mklibname filezilla %{major}
%define develname	%mklibname filezilla -d

Name:		libfilezilla
Version:	0.45.0
Release:	%mkrel 1
Summary:	Small and modern C++ library for FileZilla
License:	GPLv2+
Group:		System/Libraries
URL:		    https://lib.filezilla-project.org/
Source0: 	http://download.filezilla-project.org/%{name}/%{name}-%{version}.tar.xz

BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(nettle)

%description
libfilezilla is a free, open source C++ library, offering some basic
functionality to build high-performing, platform-independent programs.
Some of the highlights include:

* A typesafe, multi-threaded event system that's very simple to use yet
  extremely efficient.
* Timers for periodic events.
* A datetime class that not only tracks timestamp but also their accuracy,
  which simplifies dealing with timestamps originating from different sources.
* Simple process handling for spawning child processes with redirected I/O.

#------------------------------------------------

%package -n	%{libname}
Summary:	Small and modern C++ library for FileZilla
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}
Obsoletes: lib64filezilla40

%description -n	%{libname}
libfilezilla is a free, open source C++ library, offering some basic
functionality to build high-performing, platform-independent programs.
Some of the highlights include:

* A typesafe, multi-threaded event system that's very simple to use yet
  extremely efficient.
* Timers for periodic events.
* A datetime class that not only tracks timestamp but also their accuracy,
  which simplifies dealing with timestamps originating from different sources.
* Simple process handling for spawning child processes with redirected I/O.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%package	i18n
Summary:	Translation files for %{name}
Group:		System/Libraries

%description	i18n
This package contains translation files for %{name}.

#------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static

%make_build

%install
rm -rf %buildroot
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%find_lang %{name}


%files i18n -f %{name}.lang


%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Oct 27 2023 pp - 0.45.0-1pclos2023
- new version

* Wed Jul 12 2023 pp - 0.44.0-1pclos2023
- new version

* Mon May 08 2023 pp - 0.42.2-1pclos2023
- new version

* Thu Apr 13 2023 tex - 0.42.0-1pclos2023
- new version

* Thu Feb 23 2023 tex - 0.41.1-1pclos2023
- new version

* Thu Jan 26 2023 tex - 0.41.0-1pclos2023
- new version

*Tue Dec 20 2022 pp - 0.40.0-1pclos2022
- new version

* Fri Oct 14 2022 pp - 0.39.2-1pclos2022
- new version

* Sat Sep 17 2022 pp - 0.39.1-1pclos2022
- new version

* Thu Jul 21 2022 tex - 0.38.1-1pclos2022
- new version

* Thu May 26 2022 pp - 0.37.2-1pclos2022
- new version

* Sat Apr 09 2022 pp - 0.37.1-1pclos2022
- new version

* Fri Feb 11 2022 tex - 0.36.0-1pclos2022
- new version

* Sun Dec 12 2021 tex - 0.35.0-1pclos2021
- new version

* Wed Oct 27 2021 tex - 0.34.2-1pclos2021
- new version

* Wed Oct 20 2021 tex - 0.34.1-1pclos2021
- new version

* Tue Oct 12 2021 tex - 0.34.0-1pclos2021
- new version

* Tue Aug 10 2021 tex - 0.31.1-pclos2021
- new version

